Package org.apache.tapestry5.validator

## Class Min

- java.lang.Object
- - org.apache.tapestry5.validator.AbstractValidator<Long,​Number>
  - - org.apache.tapestry5.validator.Min

- All Implemented Interfaces:
    `Validator<Long,​Number>`

      public class Min
      extends AbstractValidator<Long,​Number>

- - ### Field Summary

    - ### Fields inherited from class org.apache.tapestry5.validator.AbstractValidator

      `javaScriptSupport`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Min​(JavaScriptSupport javaScriptSupport, Html5Support html5Support)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `render​(Field field, Long constraintValue, MessageFormatter formatter, MarkupWriter writer, FormSupport formSupport)` | Hook used by components to allow the validator to contribute additional attributes or (more often) client-side JavaScript (via the `FormSupport.addValidation(Field, String, String, Object)`).
    `void` | `validate​(Field field, Long constraintValue, MessageFormatter formatter, Number value)` | Invoked after the client-submitted value has been `translated` to check that the value conforms to expectations (often, in terms of minimum or maximum value).

    - ### Methods inherited from class org.apache.tapestry5.validator.AbstractValidator

      `getConstraintType, getMessageKey, getValueType, isRequired`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Min

          public Min​(JavaScriptSupport javaScriptSupport,
                     Html5Support html5Support)

  - ### Method Detail

    - #### validate

          public void validate​(Field field,
                               Long constraintValue,
                               MessageFormatter formatter,
                               Number value)
                        throws ValidationException

      Description copied from interface: `Validator`
      Invoked after the client-submitted value has been `translated` to check that the value conforms to expectations (often, in terms of minimum or maximum value). If and only if the value is approved by all Validators is the value applied by the field.
      Parameters:
        `field` - the field for which a client submitted value is being validated
        `constraintValue` - the value used to constrain
        `formatter` - Validation messages, in the appropriate locale
        `value` - the translated value supplied by the user
      Throws:
        `ValidationException` - if the value violates the constraint

    - #### render

          public void render​(Field field,
                             Long constraintValue,
                             MessageFormatter formatter,
                             MarkupWriter writer,
                             FormSupport formSupport)

      Description copied from interface: `Validator`
      Hook used by components to allow the validator to contribute additional attributes or (more often) client-side JavaScript (via the `FormSupport.addValidation(Field, String, String, Object)`).
      Parameters:
        `field` - the field which is currently being rendered
        `constraintValue` - the value used to constrain input
        `formatter` - validation message, in the appropriate locale
        `writer` - markup writer, allowing additional attributes to be written into the active element
        `formSupport` - used to add JavaScript